/*
   Driver for HD44780 LCD Module
*/

#define CLEAR_DISPLAY 0b00000001
#define CURSOR_HOME   0b00000010

#define RS (1<<13)
#define RW (1<<14)
#define EN (1<<15)



void lcd_format (unsigned char c);
void lcd_putchar (unsigned char c);
void lcd_init (void);

void lcd_puts(const char * string);
