#include <propeller.h>

#include "kernel.h"
#include "sound.h"

void playSound ( note_t *notes)
{
	unsigned int freq;
	unsigned int duration;
	
	CTRA = (1<<28)+(2);
	
	
	while(1)
	{
		freq = notes->freq;
		duration = notes->duration;
		if(freq == 0)
		{
			DIRA &= ~SOUNDPIN;
			break;
		}
		FRQA=freq;
		DIRA |= SOUNDPIN;
		msleep(100*duration);
		DIRA &= ~SOUNDPIN;
		msleep(100*duration);
		notes++;
	}
	
	
	
}