#include <propeller.h>
#include "analog_out.h"

void setAnalogOut (int duty)
{
	unsigned scale = 16777216;		// 2^32 / 256
	
	if(duty < 0)
		duty = 0;
	if(duty > 64)
		duty = 64;
		
	AOUT = (duty * scale);		// set FRQA Register 
}

