// kernel.h
#define STACKSIZE 20

#define OPEN 0
#define CLOSE 1

#define Button1 0
#define Button2 1


typedef struct
{
	int motor_A_power;
	int motor_B_power;
	unsigned char motor_A_direction;
	unsigned char motor_B_direction;
	
} _MotorControl;

_MotorControl MotorControl;


typedef struct
{
	unsigned char Button1State;
	unsigned char Button2State;
	
} _ButtonEvent;

_ButtonEvent ButtonEvent;

static int cog_stack[STACKSIZE];
void msleep(int t);
void start_lmm(void *func, int *stack_top);
void kernel_init ();
unsigned char getButtonState (unsigned char button);