#include <propeller.h>
#include "kernel.h"
#include "motor.h"

///////////////////////////////////////////////////////////
void setMotorA(int power,unsigned char direction)
{
	MotorControl.motor_A_power = power;
	MotorControl.motor_A_direction = direction;
	if( MotorControl.motor_A_direction )
		OUTA |= Motor_A_Dir;
	else
		OUTA &= ~Motor_A_Dir;
}
///////////////////////////////////////////////////////////
void setMotorB(int power,unsigned char direction)
{
	MotorControl.motor_B_power = power;
	MotorControl.motor_B_direction = direction;
	if( MotorControl.motor_B_direction )
		OUTA |= Motor_B_Dir;
	else
		OUTA &= ~Motor_B_Dir;
}
///////////////////////////////////////////////////////////
void swapMotorADirection ()
{
	int power = MotorControl.motor_A_power;
	unsigned char newdir = MotorControl.motor_A_direction ^ 1;
	setMotorA ( power,newdir );
}
///////////////////////////////////////////////////////////
void swapMotorBDirection ()
{
	int power = MotorControl.motor_B_power;
	unsigned char newdir = MotorControl.motor_B_direction ^ 1;
	setMotorB ( power,newdir );

}
///////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////